"""Exceptions module."""


class RegistryException(Exception):
    """Base exception for all registry exceptions."""


class InvalidHistoryInterval(RegistryException):
    """Invalid history interval."""


class ObjectDoesNotExist(RegistryException):
    """Object does not exist.

    Base class for individual exceptions.
    """


class ContactDoesNotExist(ObjectDoesNotExist):
    """Contact does not exist."""


class DomainDoesNotExist(ObjectDoesNotExist):
    """Domain does not exist."""


class KeysetDoesNotExist(ObjectDoesNotExist):
    """Keyset does not exist."""


class NssetDoesNotExist(ObjectDoesNotExist):
    """Nsset does not exist."""


class RegistrarDoesNotExist(ObjectDoesNotExist):
    """Registrar does not exist."""
